<?php
// Copyright (c) Pickware GmbH. All rights reserved.
// This file is part of software that is released under a proprietary license.
// You must not copy, modify, distribute, make publicly available, or execute
// its contents or parts thereof without express permission by the copyright
// holder, unless otherwise permitted by law.

namespace Shopware\Plugins\ViisonCommon\Classes\ExceptionHandling;

/**
 * @deprecated Use the service 'viison_common.logger' that does escaping automatically
 */
trait LogStringEscaping
{
    /**
     * @deprecated Use the service 'viison_common.logger' that does escaping automatically
     *
     * Replaces every curly or square bracket with a normal bracket.
     *
     * The ExtJS app for displaying log entries is confused by square and curly brackets, so they are replaced.
     *
     * @param string $str
     * @return string
     */
    private static function escapeLogString($str)
    {
        return strtr($str, [
            '{' => '(',
            '}' => ')',
            '[' => '(',
            ']' => ')',
        ]);
    }
}
