<?php
// Copyright (c) Pickware GmbH. All rights reserved.
// This file is part of software that is released under a proprietary license.
// You must not copy, modify, distribute, make publicly available, or execute
// its contents or parts thereof without express permission by the copyright
// holder, unless otherwise permitted by law.

namespace Shopware\Plugins\ViisonCommon\Classes\Exceptions\ValidationExceptions;

use Exception;

class ParameterMissingException extends AbstractValidationException
{
    /**
     * @param string $parameterName
     * @param Exception|null $previousException
     */
    public function __construct($parameterName, Exception $previousException = null)
    {
        $message = sprintf(
            'Parameter "%s" is missing but obligatory.',
            $parameterName
        );

        parent::__construct(
            $message,
            'parameterMissingException',
            [
                $parameterName,
            ],
            $previousException
        );
    }
}
